<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ActivityPassword">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <Button
            android:id="@+id/btn_skip1"
            android:layout_marginLeft="10dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:shadowColor="@color/backMainActivity1"
            android:text="Пропустить"
            android:textSize="18dp"
            android:textColor="@color/backMainActivity1"
            android:background="@android:color/transparent"/>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Создайте пароль"
            android:id="@+id/txt_create"
            android:textAlignment="center"
            android:textSize="25dp"
            android:layout_marginBottom="20dp"
            android:layout_marginTop="40dp"/>
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textAlignment="center"
            android:text="Для защиты ваших персональных данных"
            />
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_gravity="center_horizontal"
            android:layout_marginVertical="44dp"
            >
            <ImageView
                android:id="@+id/img_num1"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/blue_pust_krug"
                android:layout_margin="6dp"/>
            <ImageView
                android:id="@+id/img_num2"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/blue_pust_krug"
                android:layout_margin="6dp"/>
            <ImageView
                android:id="@+id/img_num3"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/blue_pust_krug"
                android:layout_margin="6dp"/>
            <ImageView
                android:id="@+id/img_num4"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/blue_pust_krug"
                android:layout_margin="6dp"/>
        </LinearLayout>


        <TableLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center">

            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btn_num1"
                    style="@style/btn_password"
                    android:text="1"/>

                <Button
                    android:id="@+id/btn_num2"
                    style="@style/btn_password"
                    android:text="2"/>

                <Button
                    android:id="@+id/btn_num3"
                    style="@style/btn_password"
                    android:text="3"/>
            </TableRow>

            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btn_num4"
                    style="@style/btn_password"
                    android:text="4"/>

                <Button
                    android:id="@+id/btn_num5"
                    style="@style/btn_password"
                    android:text="5"/>

                <Button
                    android:id="@+id/btn_num6"
                    style="@style/btn_password"
                    android:text="6"/>
            </TableRow>

            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btn_num7"
                    style="@style/btn_password"
                    android:text="7"/>

                <Button
                    android:id="@+id/btn_num8"
                    style="@style/btn_password"
                    android:text="8"/>

                <Button
                    android:id="@+id/btn_num9"
                    style="@style/btn_password"
                    android:text="9"/>
            </TableRow>

            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="104dp">

                <Button
                    android:id="@+id/btn_num0"
                    style="@style/btn_password"
                    android:text="0"/>

                <FrameLayout
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:layout_margin="12dp">
                    <ImageButton
                        android:id="@+id/btn_Clear"
                        android:layout_margin="15dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:background="@drawable/btn_clear"/>

                </FrameLayout>

            </TableRow>
        </TableLayout>

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>